Name:           mendeleydesktop
Version:        1.14
Release:        %mkrel 1
License:        Proprietary (http://www.mendeley.com/terms/)
Summary:        A Desktop reference manager
Url:		http://www.mendeley.com/
Group:          Publishing
AutoReqProv:    no
Source0:        http://www.mendeley.com/download-mendeley-desktop/linux32/instructions/%{name}-%{version}-linux-i486.tar.xz
Source1:	http://www.mendeley.com/download-mendeley-desktop/linux64/instructions/%{name}-%{version}-linux-x86_64.tar.xz
Provides:       libPDFNetC
Provides:       libMendeley
Requires:       %{_lib}png3
Requires:       %{_lib}qtwebkit4
Requires:       %{_lib}openssl1.0.0
Requires:       libPDFNetC
Requires:       libMendeley
BuildRequires:  desktop-file-utils
Suggests:	%{name}-integration-libreoffice
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Mendeley Desktop is an excellent reference manager for Windows/Mac/Linux. 
You can sync your whole library through the internet.
To activate the Mendeley Libre Office plugin open Writer and start
Tools -> Extension Manager
Click on Add..  and open the file 
/usr/share/libreoffice/share/extensions/mendeleydesktop/Mendeley-%{version}.oxt
finally restart LibreOffice

%prep
%ifarch x86_64
%setup -q -n %{name}-%{version}-linux-x86_64 -b1
%else
%setup -q -n %{name}-%{version}-linux-i486 -b0
%endif

%build

%install
# Create Subfolders
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}/opt/%{name}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/icons/hicolor

#  Move Content
cp -fr * %{buildroot}/opt/%{name}
ln -s /opt/%{name}/bin/%{name} %{buildroot}%{_bindir}/%{name} 
cp -r share/applications/* %{buildroot}%{_datadir}/applications
cp -r share/icons/hicolor/* %{buildroot}%{_datadir}/icons/hicolor

%clean
rm -rf %{buildroot}

%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root)
%{_bindir}/%{name}
/opt/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor

%changelog
* Fri Jun 26 2015 pp <pp> 1.14-1pclos2015
- update

* Sun Mar 22 2015 pinoc <vogtpet at gmail.com> 1.13.4-1pclos2015
- 1.13.4

* Sun Nov 23 2014 pinoc <vogtpet at gmail.com> 1.12.3-1pclos2014
- 1.12.3

* Tue Sep 09 2014 pinoc <vogtpet at gmail.com> 1.12.1-1pclos2014
- 1.12.1

* Thu Apr 17 2014 pinoc <vogtpet at gmail.com> 1.11-1pclos2014
- imported package